Subject: RE: Draft LDUP Meeting Minutes

From: John Strassner <[email-masked]>
Date: Sat, 9 Aug 2003 15:54:25 -0600

All right, let's try again after I had some coffee. ;-)
 
-----Original Message-----
From: John Strassner [mailto:[email-masked]] 
Sent: Saturday, August 09, 2003 1:39 PM
To: [email-masked]
Subject: Draft LDUP Meeting Minutes
Importance: High

Sorry for the delay in getting these out, I had a family emergency. Please
look them over and send any corrections/additions asap, and I'll forward to
the IETF.
 
thanks and kind regards,
John

John Strassner
Chief Strategy Officer
Intelliden Corporation
90 South Cascade Avenue
Colorado Springs, CO  80903  USA
phone: +1.719.785.0648
  FAX: +1.719.785.0644
email: [email-masked]

---

From: Ryan Moats <[email-masked]>
Date: Tue, 12 Aug 2003 08:35:52 -0500

On Sat, Aug 09, 2003 at 03:54:25PM -0600, John Strassner wrote:
| All right, let's try again after I had some coffee. ;-)
|  
| -----Original Message-----
| From: John Strassner [mailto:[email-masked]] 
| Sent: Saturday, August 09, 2003 1:39 PM
| To: [email-masked]
| Subject: Draft LDUP Meeting Minutes
| Importance: High
| 
| Sorry for the delay in getting these out, I had a family emergency. Please
| look them over and send any corrections/additions asap, and I'll forward to
| the IETF.
|  
| thanks and kind regards,
| John
| 
| John Strassner
| Chief Strategy Officer
| Intelliden Corporation
| 90 South Cascade Avenue
| Colorado Springs, CO  80903  USA
| phone: +1.719.785.0648
|   FAX: +1.719.785.0644
| email: [email-masked]
|   
| LDAP Duplication/Replication/Update Protocols WG (ldup)
| Tuesday, July 15, at 1300-1400
| ===============================
| CHAIRS:	Chris Apple <[email-masked]>
| 		John Strassner <[email-masked]> 
| 
| Minutes taken by:  John Strassner
| 
| The meeting was run according to the posted agenda. The meeting
| minutes therefore mirror the agenda topics.
| 
| LDAP Duplication/Replication/Update Protocols WG (ldup)
| 
| Tuesday, July 15 at 1300-1400 
| ================================
| 
| CHAIRS: Chris Apple <[email-masked]>
|                 John Strassner <[email-masked]>
| 
| AGENDA:
| 
| 1) Agenda Additions?
| 
| No additions were asked for, so the meeting proceeded according to the agenda.
| 
| 2) LCUP WG Last Call & Status
|  http://www.ietf.org/internet-drafts/draft-ietf-ldup-lcup-05.txt
| 
| No further discussion occurred on this document.
| 
| 3) Remaining WG Documents
| 
| InfoMod Draft
|  http://www.ietf.org/internet-drafts/draft-ietf-ldup-infomod-07.txt
| 
| Rick Huber presented slides describing the progress of this draft.
| This presentation reflects the new group of authors that are 
| picking up the work. The authors presented a number of questions to
| the working group involving various attributes defined in the draft.
| The first was whether the two RootDSA attributes are really useful.
| They were originally defined to help discovery, but the classes all
| have unique names, so this need is no longer crucial. Steven Legg
| proposed removing them, and people in the meeting agreed. No one 
| asked to have them left in the draft. Thus, since the MRM draft will
| by definition discover any problems with these or other similar 
| attributes not being defined in the draft, it was decided to remove
| these for the next revision of the draft.
| 
| Other attributes – attributeExclusionFilter, attributeInclusionFilter,
| secondsToWaitDefault, and secondsToWait2 – were defined as 
| disallowing user modification. This didn’t seem like a good idea, and
| the working group agreed. The new draft will change this as well.
| 
| The next subject was whether multiple replicas can exist at the same
| context root (see slide 2 of the presentation). This would 
| facilitate copying replica information. Slide 3 shows an alternative.
| The working group preferred slide 2.
| 
| General Usage Profile Draft
|  http://www.ietf.org/internet-drafts/draft-ietf-ldup-usage-profile-05.txt
| 
| The main work done on this draft since the last meeting was to go
| through the draft and clean up references. In doing so, two issues
| arose. The first involved the status of the locate draft. The status
| on this draft is that it went through Last Call, and was reviewed by
| the IESG. The IESG had some technical issues with the draft. Bob 
| Morgan will try and update this draft as soon as possible, probably
| one month from now. Kurt thought that it depended on 2247bis, and 
| that it shouldn’t be normative. Since the Usage Profile is 
| informational, it doesn’t need to be held up by this draft.
| 
| The other problem was a reference to the taxonomy draft. Note that
| CRISP also has a reference to taxonomy. Roland said that he and
| Ryan would try and update taxonomy by mid-August. Thus, it was
| agreed that the reference to locate could be removed, and the
| authors would wait to see if taxonomy was indeed updated by 
| mid August.

If by "update", someone means "reissue" then I'm ok with this.  If by
"update" someone means "update and go back through the process" then I have
problems.  My notes are that taxonomy has cleared all the hurdles (read:
its in the RFC editors queue waiting for locate).  If locate isn't going
anywhere, working on taxonomy is not worth the time, because of the
hidden dependency.

Ryan